Package jnr.constants.platform.freebsd

# Enum SocketOption

java.lang.Object
java.lang.Enum<SocketOption>
jnr.constants.platform.freebsd.SocketOption

All Implemented Interfaces:
  `Serializable`, `Comparable<SocketOption>`, `java.lang.constant.Constable`, `Constant`

public enum SocketOption extends Enum<SocketOption> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SO_ACCEPTCONN`
`SO_ACCEPTFILTER`
`SO_BROADCAST`
`SO_DEBUG`
`SO_DONTROUTE`
`SO_ERROR`
`SO_KEEPALIVE`
`SO_LABEL`
`SO_LINGER`
`SO_NOSIGPIPE`
`SO_OOBINLINE`
`SO_PEERLABEL`
`SO_RCVBUF`
`SO_RCVLOWAT`
`SO_RCVTIMEO`
`SO_REUSEADDR`
`SO_REUSEPORT`
`SO_SNDBUF`
`SO_SNDLOWAT`
`SO_SNDTIMEO`
`SO_TIMESTAMP`
`SO_TYPE`
`SO_USELOOPBACK`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static SocketOption`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SocketOption[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### SO_DEBUG

public static final SocketOption SO_DEBUG

### SO_ACCEPTCONN

public static final SocketOption SO_ACCEPTCONN

### SO_REUSEADDR

public static final SocketOption SO_REUSEADDR

### SO_KEEPALIVE

public static final SocketOption SO_KEEPALIVE

### SO_DONTROUTE

public static final SocketOption SO_DONTROUTE

### SO_BROADCAST

public static final SocketOption SO_BROADCAST

### SO_USELOOPBACK

public static final SocketOption SO_USELOOPBACK

### SO_LINGER

public static final SocketOption SO_LINGER

### SO_OOBINLINE

public static final SocketOption SO_OOBINLINE

### SO_REUSEPORT

public static final SocketOption SO_REUSEPORT

### SO_TIMESTAMP

public static final SocketOption SO_TIMESTAMP

### SO_ACCEPTFILTER

public static final SocketOption SO_ACCEPTFILTER

### SO_SNDBUF

public static final SocketOption SO_SNDBUF

### SO_RCVBUF

public static final SocketOption SO_RCVBUF

### SO_SNDLOWAT

public static final SocketOption SO_SNDLOWAT

### SO_RCVLOWAT

public static final SocketOption SO_RCVLOWAT

### SO_SNDTIMEO

public static final SocketOption SO_SNDTIMEO

### SO_RCVTIMEO

public static final SocketOption SO_RCVTIMEO

### SO_ERROR

public static final SocketOption SO_ERROR

### SO_TYPE

public static final SocketOption SO_TYPE

### SO_NOSIGPIPE

public static final SocketOption SO_NOSIGPIPE

### SO_LABEL

public static final SocketOption SO_LABEL

### SO_PEERLABEL

public static final SocketOption SO_PEERLABEL

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static SocketOption[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SocketOption valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<SocketOption>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`